"use strict";

this.name        = "yah_ad_script"; 
this.author      = "spara";
this.description = "Changes ads on billboards";

this.shipSpawned = function() {
  this.$ws = worldScripts["yah_ad_service"];
	var numberOfAds = this.$ws.$adPool.length;
  var numberOfBrokenAds = this.$ws.$brokenAdPool.length;
  //is the current billboard broken?
  if (Math.random() < numberOfBrokenAds/(numberOfAds+numberOfBrokenAds)) {
    //if yes, just set the texture once to a broken texture.
    this._changeAd(this.$ws._getBrokenAd());
  }
  else {
    //in not, set the first ad and start the timer.
    this._changeAd(this.$ws._getAd());
		this.$billboardTimer = new Timer(this, this._rotateAds, 0, 15);
    //this.$billboardTimer = new Timer(this, this._rotateAds, 0, 1);
  }
}

this._rotateAds = function() {
	if (ship) {
		this._changeAd(this.$ws._getAd());
	}
	else delete this.$billboardTimer;
}

this._changeAd = function(ad) {
	ship.setMaterials({"yah_billboard_ad.png": {
		diffuse_map: ad,
		illumination_map: "yah_billboard_illuminate.png",
		illumination_modulate_color: (255, 255, 0),
		emission_map: ad,
		emission_modulate_color: "darkGrayColor"
	}});
}
